- reconfigure_command = 'sudo gitlab-ctl reconfigure'
- backup_command = 'sudo gitlab-rake gitlab:backup:create STRATEGY=copy'
- copy_tooltip = 'Copy to clipboard'

%h4
  1. Make a backup
%p
  Before upgrading make a backup of all application data. The backup will be archived in
  %code /var/opt/gitlab/backups
  by default.
%pre.command
  = backup_command
  %button{ copy_btn_options(backup_command) }
    %i.fa.fa-clipboard{ aria: { label: copy_tooltip } }
%h4
  2. Upgrade to Enterprise Edition
%p
  The GitLab EE package installs directly over top of the CE version, replacing it.
  These instructions will install the most recent version of GitLab,
  if you'd like to use the same version please
  %a{ href: "http://docs.gitlab.com/omnibus/update/README.html#from-community-edition-to-enterprise-edition" }
    consult our documentation.
%p

  Add the GitLab EE package repository.
%pre.command
  = "#{platform.download_command}"
  %button{ copy_btn_options("#{platform.download_command}") }
    %i.fa.fa-clipboard{ aria: { label: copy_tooltip } }
%p
  Next, install GitLab Enterprise Edition package.
%pre.command
  = "#{platform.install_command}"
  %button{ copy_btn_options("#{platform.install_command}") }
    %i.fa.fa-clipboard{ aria: { label: copy_tooltip } }
%h4
  3. Add Enterprise Edition License (optional)
%p
  To make use of EE features, add a license via the web interface or start a 
  = succeed "." do
    %a{ href: "https://about.gitlab.com/free-trial/"} free trial
  If a license is not uploaded it will operate as Community Edition.
  Log in to your GitLab instance as an administrator, and a notification will appear to
  = succeed "." do
    = link_to "upload the license", "https://docs.gitlab.com/ee/user/admin_area/license.html", target: "_blank", rel: "noopener noreferrer nofollow"
%h4
  4. Remove the CE package repository
%p
  Remove the GitLab CE package repository.
%pre.command
  = "#{platform.remove_ce_repository}"
  %button{ copy_btn_options("#{platform.remove_ce_repository}") }
    %i.fa.fa-clipboard{ aria: { label: copy_tooltip } }
